Package com.smartgwt.rebind

# Class BeanClass

java.lang.Object
com.smartgwt.rebind.BeanClass

public class BeanClass extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanClass(JClassType beanClassType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMethod(BeanMethod method)`
  `BeanProperty`
  `findPropertyInSuperclass(String propertyName)`
  `String`
  `generateFactory(TreeLogger logger, GeneratorContext context)`
  `BeanProperty`
  `getProperty(String propertyName)`
  `String`
  `getQualifiedBeanClassName()`
  `String`
  `getQualifiedFactoryName()`
  `String`
  `getSimpleBeanClassName()`
  `String`
  `getSimpleFactoryName()`
  `Collection<BeanValueType>`
  `getValueTypes()`
  `int`
  `indexOfMethod(BeanMethod method)`
  `void`
  `removeMethod(BeanMethod method)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanClass

    public BeanClass(JClassType beanClassType)

- ## Method Details

  - ### findPropertyInSuperclass

    public BeanProperty findPropertyInSuperclass(String propertyName)

  - ### getProperty

    public BeanProperty getProperty(String propertyName)

  - ### addMethod

    public void addMethod(BeanMethod method)

  - ### removeMethod

    public void removeMethod(BeanMethod method)

  - ### indexOfMethod

    public int indexOfMethod(BeanMethod method)

  - ### generateFactory

    public String generateFactory(TreeLogger logger, GeneratorContext context) throws UnableToCompleteException
    Throws:
      `UnableToCompleteException`

  - ### getSimpleBeanClassName

    public String getSimpleBeanClassName()

  - ### getQualifiedBeanClassName

    public String getQualifiedBeanClassName()

  - ### getSimpleFactoryName

    public String getSimpleFactoryName()

  - ### getQualifiedFactoryName

    public String getQualifiedFactoryName()

  - ### getValueTypes

    public Collection<BeanValueType> getValueTypes()